@use 'partials/classes/round-button';

.row-container {
  display: flex;
  flex-flow: row wrap;
  align-items: baseline;
  justify-content: space-between;
}

.column-container {
  display: flex;
  flex-direction: column;
}

$column-gap: 10px;
$grid-element: calc(50% - (#{$column-gap} / 2));
.date-container {
  display: grid;
  grid-template-columns: $grid-element $grid-element;
  column-gap: $column-gap;
}

.grow-one {
  flex: 1;
}

$padding-top-bottom: 27px;
$padding-left: 16px;
.text-padding {
  padding: 12px 0 $padding-top-bottom $padding-left;
}

.reference-button-padding {
  padding-bottom: $padding-left;
}

.padding-bottom {
  padding-bottom: $padding-top-bottom;
}

.reference-padding {
  padding-bottom: calc(#{$padding-top-bottom} / 2);
}

.align-center {
  align-items: center;
}

.column-gap {
  column-gap: 2em;
}

.reference-label {
  flex: 1 2;
}

.reference-url {
  flex: 2 1;
}
